Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.repository
Class ResourceImporter

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.BaseImporterModule
          com.jaspersoft.jasperserver.export.modules.repository.ResourceImporter

All Implemented Interfaces:
  ImporterModule, ResourceImportHandler, org.springframework.beans.factory.InitializingBean

    public class ResourceImporter

extends BaseImporterModule
implements ResourceImportHandler, org.springframework.beans.factory.InitializingBean

Version:
  $Id: ResourceImporter.java 8430 2007-05-30 13:18:32Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.export.modules.BaseImporterModule
`commandOut, executionContext, importContext, indexElement, input, params`

Constructor Summary
`ResourceImporter()`

Method Summary
`void` | `afterPropertiesSet()`
`protected java.lang.String` | `appendPath(java.lang.String uri, java.lang.String name)`
`protected Folder` | `createFolder(FolderBean folderBean)`
`protected Folder` | `createFolder(java.lang.String uri)`
`protected void` | `createPrependFolder()`
`protected Resource` | `createResource(ResourceBean bean)`
`protected void` | `ensureParent(java.lang.String uri)`
`ResourceModuleConfiguration` | `getConfiguration()`
`protected FolderBean` | `getFolderDetails(java.lang.String uri, boolean required)`
`protected java.lang.String` | `getPrependPath()`
`java.lang.String` | `getPrependPathArg()`
`protected java.lang.String` | `getResourceFileName(java.lang.String uri)`
`protected Role` | `getRole(java.lang.String roleName)`
`protected User` | `getUser(java.lang.String username)`
`byte[]` | `handleData(ResourceBean resourceBean, java.lang.String dataFile, java.lang.String providerId)`
`ResourceReference` | `handleReference(ResourceReferenceBean beanReference)`
`Resource` | `handleResource(ResourceBean resource)`
`java.lang.String` | `handleResource(java.lang.String uri)`
`protected void` | `importFolder(java.lang.String uri, boolean detailsRequired)`
`protected java.lang.String` | `importResource(java.lang.String uri)`
`void` | `init(ImporterModuleContext moduleContext)`
`protected void` | `initProcess()`
`protected java.lang.String` | `prependedPath(java.lang.String uri)`
`void` | `process()`
`protected void` | `queueEntryFolders()`
`protected void` | `queueEntryResources()`
`protected void` | `queueResources(java.lang.String uri, FolderBean folderBean)`
`protected void` | `queueSubFolders(java.lang.String uri, FolderBean folderBean)`
`protected ResourceBean` | `readResourceBean(java.lang.String uri)`
`void` | `setConfiguration(ResourceModuleConfiguration configuration)`
`protected void` | `setPermission(InternalURI object, RepositoryObjectPermissionBean permissionBean, boolean checkExisting)`
`protected void` | `setPermissions(InternalURI object, RepositoryObjectPermissionBean[] permissions, boolean checkExisting)`
`void` | `setPrependPathArg(java.lang.String prependPathArg)`

Methods inherited from class com.jaspersoft.jasperserver.export.modules.BaseImporterModule
`deserialize, getFileInput, getId, getParameterValue, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceImporter

    public ResourceImporter()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`

### init

    public void init(ImporterModuleContext moduleContext)

  Specified by:
    `init` in interface `ImporterModule`
  Overrides:
    `init` in class `BaseImporterModule`

### getPrependPath

    protected java.lang.String getPrependPath()

### process

    public void process()

  Specified by:
    `process` in interface `ImporterModule`

### queueEntryFolders

    protected void queueEntryFolders()

### queueEntryResources

    protected void queueEntryResources()

### createPrependFolder

    protected void createPrependFolder()

### initProcess

    protected void initProcess()

### importFolder

    protected void importFolder(java.lang.String uri,
                                boolean detailsRequired)

### queueSubFolders

    protected void queueSubFolders(java.lang.String uri,
                                   FolderBean folderBean)

### queueResources

    protected void queueResources(java.lang.String uri,
                                  FolderBean folderBean)

### prependedPath

    protected java.lang.String prependedPath(java.lang.String uri)

### appendPath

    protected java.lang.String appendPath(java.lang.String uri,
                                          java.lang.String name)

### getFolderDetails

    protected FolderBean getFolderDetails(java.lang.String uri,
                                          boolean required)

### ensureParent

    protected void ensureParent(java.lang.String uri)

### createFolder

    protected Folder createFolder(java.lang.String uri)

### createFolder

    protected Folder createFolder(FolderBean folderBean)

### importResource

    protected java.lang.String importResource(java.lang.String uri)

### createResource

    protected Resource createResource(ResourceBean bean)

### readResourceBean

    protected ResourceBean readResourceBean(java.lang.String uri)

### getResourceFileName

    protected java.lang.String getResourceFileName(java.lang.String uri)

### handleReference

    public ResourceReference handleReference(ResourceReferenceBean beanReference)

  Specified by:
    `handleReference` in interface `ResourceImportHandler`

### handleData

    public byte[] handleData(ResourceBean resourceBean,
                             java.lang.String dataFile,
                             java.lang.String providerId)

  Specified by:
    `handleData` in interface `ResourceImportHandler`

### handleResource

    public Resource handleResource(ResourceBean resource)

  Specified by:
    `handleResource` in interface `ResourceImportHandler`

### handleResource

    public java.lang.String handleResource(java.lang.String uri)

  Specified by:
    `handleResource` in interface `ResourceImportHandler`

### setPermissions

    protected void setPermissions(InternalURI object,
                                  RepositoryObjectPermissionBean[] permissions,
                                  boolean checkExisting)

### setPermission

    protected void setPermission(InternalURI object,
                                 RepositoryObjectPermissionBean permissionBean,
                                 boolean checkExisting)

### getRole

    protected Role getRole(java.lang.String roleName)

### getUser

    protected User getUser(java.lang.String username)

### getConfiguration

    public ResourceModuleConfiguration getConfiguration()

### setConfiguration

    public void setConfiguration(ResourceModuleConfiguration configuration)

### getPrependPathArg

    public java.lang.String getPrependPathArg()

### setPrependPathArg

    public void setPrependPathArg(java.lang.String prependPathArg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.